<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>calculate_distance()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a1fb033bbe5a2ed283fcecc2a0a34bb84">melon::kernel::KernelRBF&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern12.html#afe39812dc7ba20fbd9dccd36ef0b84cb">melon::kernel::Matern12&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern32.html#aa162953dea6b15059836429dbd05607d">melon::kernel::Matern32&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern52.html#a0858a9caccf0a87cd283504d80cc5fea">melon::kernel::Matern52&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html#a4ac55cf3cc87491b112617c987bf69b9">melon::kernel::MaternInf&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a6879c9fdde3f47097c7316939345cf4e">melon::kernel::StationaryKernel&lt; T, V &gt;</a></li>
<li>calculate_high_prediction_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#aaaf1a6769329282fd55fd29e1d038485">melon::MulfilGp&lt; T &gt;</a></li>
<li>calculate_high_variance_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#a5b7ffe8ae029c90fcc21633758ccc46c">melon::MulfilGp&lt; T &gt;</a></li>
<li>calculate_low_prediction_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#ad315ecc382bda5fdfb4bb887c13ec8dc">melon::MulfilGp&lt; T &gt;</a></li>
<li>calculate_low_variance_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#a44192bc2a0c92c04a564556bfb090fa5">melon::MulfilGp&lt; T &gt;</a></li>
<li>calculate_prediction_and_variance_full_space()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aea1c4e3fa274464c3cee7639f90ddbb2">melon::GaussianProcess&lt; T &gt;</a></li>
<li>calculate_prediction_full_space()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a1bbcf42c9cb486f063d8a47722c7a209">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a9b9fd56e1979ed3d19dd1ea1e5c20f6d">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#aa24acc1421812ac374878aa9f73007c8">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>calculate_prediction_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aee07aaae68255e370ba1e82c01229cdd">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a9b51f0e927d803d0fef8e55a6048db9f">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#af395a6dfdc70892d7ae11ddfda45936d">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>calculate_variance_full_space()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a94eabcf5f7738b9b8a153fdcdecc6227">melon::GaussianProcess&lt; T &gt;</a></li>
<li>calculate_variance_reduced_space()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a6c7f1bb9cf6432e92cb6e1fa1682173f">melon::GaussianProcess&lt; T &gt;</a></li>
<li>Capacity()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a8e101fdf5b4248ac119d7dca6d0f5421">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>CData()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_text.html#ac1bb5ea4166c320882d9e0ad16fd385b">tinyxml2::XMLText</a></li>
<li>children&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html#a252d76caee37fdbc77312bb099a04760">melon::kernel::KernelCompositeAdd&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html#aa1451991c1bafd1fbd172f3553b2f06b">melon::kernel::KernelCompositeMultiply&lt; T, V &gt;</a></li>
<li>Clear()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#af87a804cd831226d069274b44b74b8bc">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a22d595caa0e9d23aa080f49ca6475fdd">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a65656b0b2cbc822708eb351504178aaf">tinyxml2::XMLDocument</a></li>
<li>ClearBuffer()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a690cb140ba98b7339734ff865f56b0b3">tinyxml2::XMLPrinter</a></li>
<li>ClearError()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a4085d9c52f1d93214311459d6d1fcf17">tinyxml2::XMLDocument</a></li>
<li>CLOSED&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ab5f90e2493c35702175235127e2935b4aa2f1f384020d2d4538ad2ec84930a028">tinyxml2::XMLElement</a></li>
<li>CloseElement()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#af1fb439e5d800999646f333fa2f0699a">tinyxml2::XMLPrinter</a></li>
<li>CLOSING&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ab5f90e2493c35702175235127e2935b4aa2857344b98a931536c443cd0cadc4b7">tinyxml2::XMLElement</a></li>
<li>ClosingType()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a6965ff89557f27d4082d7043d5145555">tinyxml2::XMLElement</a></li>
<li>CollapseWhitespace()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#ade1469025e6b4cac74397a82a7429337">tinyxml2::StrPair</a></li>
<li>COMMENT&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a0301ef962e15dd94574431f1c61266c5a067a6ec90c8beea1cf5992930d93bffa">tinyxml2::StrPair</a></li>
<li>CompactMode()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a38e1ed5a779bdf63eda9e808f7a6de66">tinyxml2::XMLPrinter</a></li>
<li>ConvertUTF32ToUTF8()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#a31c00d5c5dfb38382de1dfcaf4be3595">tinyxml2::XMLUtil</a></li>
<li>create_model_parser()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_factory.html#a2fc484dcb4a19a486a409dd64f0d9304">melon::AnnParserFactory</a>, <a class="el" href="classmelon_1_1_gp_parser_factory.html#aa3c8f8c29a04819a72cc0757da9fcef6">melon::GpParserFactory</a>, <a class="el" href="classmelon_1_1_model_parser_factory.html#ac2fbebe2e5990174227796616d1a196f">melon::ModelParserFactory</a>, <a class="el" href="classmelon_1_1_mulfil_gp_parser_factory.html#a2102af95f2d5f57e60444f8cc0db796b">melon::MulfilGpParserFactory</a>, <a class="el" href="classmelon_1_1_svm_parser_factory.html#abbf0961a2eb7424c573615f08ed7f3c2">melon::SvmParserFactory</a></li>
<li>create_scaler()&#160;:&#160;<a class="el" href="classmelon_1_1_scaler_factory.html#a269bf924a7c0cbafe35d32857655cb9c">melon::ScalerFactory&lt; T &gt;</a></li>
<li>CreateAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a10e25b09c308a8658d2d6b464745bdc3">tinyxml2::XMLElement</a></li>
<li>CreateUnlinkedNode()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#acda2123b71a6e6534be9f48e75ea680a">tinyxml2::XMLDocument</a></li>
<li>CStr()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#abfa772366c44a17cdeb8aea294d57f78">tinyxml2::XMLPrinter</a></li>
<li>CStrSize()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a3256cf3523d4898b91abb18b924be04c">tinyxml2::XMLPrinter</a></li>
<li>CurrentAllocs()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a445a6c80151ba6268b24ec62a7c84d74">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
